Skip to main content
Operations Management/Tenant Management (Plus)/SSO Operations
POSTSSO OperationsSince 3.5.1SynchronousAuth Required

CreateIAM2VirtualIDLdapBinding

CreateIAM2VirtualIDLdapBinding

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • virtualIDUuidStringRequired

      The user UUID.

    • ldapUidStringRequired

      The AD/LDAP user UUID.

    • resourceUuidString

      Optional.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryLdapIAM2VirtualIDRefInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • ldapUidStringRequired

      The AD/LDAP entry UID.

    • ldapServerUuidStringRequired

      The AD/LDAP server UUID.

    • resourceUuidStringRequired

      The UUID of the associated resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

POST/zstack/v1/iam2/ldap/bindings

/zstack/v1/iam2/ldap/bindings

Operation ID

CreateIAM2VirtualIDLdapBinding

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/iam2/ldap/bindings' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"virtualIDUuid":"<virtualIDUuid>","ldapUid":"<ldapUid>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "35f1a7c85cf038f6892a9c6b5e2f0470", "ldapUid": "ou\u003dEmployee,uid\u003dtest", "ldapServerUuid": "1bca8f5b607b3d0d9cc5b22270c3a262", "virtualIDUuid": "5d1be61d0d1d3657afdd9e7829f4d2ed" } }

Change History

This API has no change history records yet.

View all change history